Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyFieldDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyFieldDoc

- All Implemented Interfaces and Traits:
    GroovyFieldDoc

      public class SimpleGroovyFieldDoc
      extends SimpleGroovyMemberDoc
      implements GroovyFieldDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyMemberDoc` | `belongsToClass`
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `constantValue()`
    `` | `public String` | `constantValueExpression()`
    `` | `public boolean` | `isTransient()`
    `` | `public boolean` | `isVolatile()`
    `` | `public void` | `setConstantValueExpression(String constantValueExpression)`
    `` | `public void` | `setType(GroovyType type)`
    `` | `public GroovyType` | `type()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyMemberDoc` | `commentText, firstSentenceCommentText, isSynthetic`
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyFieldDoc(String name, GroovyClassDoc belongsToClass)

  - ### Method Detail

    - #### @Override
      public Object constantValue()

    - #### @Override
      public String constantValueExpression()

    - #### @Override
      public boolean isTransient()

    - #### @Override
      public boolean isVolatile()

    - #### public void setConstantValueExpression(String constantValueExpression)

    - #### public void setType(GroovyType type)

    - #### @Override
      public GroovyType type()